fenics-ufl (2023.2.0+git20240402.d25a40d-1) experimental; urgency=medium

  * New upstream snapshot (for fenicsx 0.8)
    - Build-Depends: python3-wheel, python3-setuptools (>= 62~)
    - toplevel doc README.md not README.rst
    - debian/copyright: drop demo/RestrictedElement.py
  * use dh_installexamples to install demos
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Apr 2024 12:59:23 +0200

fenics-ufl (2023.2.0-2) unstable; urgency=medium

  * dh_clean removes generated api-doc files. Closes: #1045016

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Oct 2023 15:39:01 +0100

fenics-ufl (2023.2.0-1exp1) experimental; urgency=medium

  * New upstream release for fenicsx 0.7
    - removes ufl/algorithms/elementtransformations.py
    - Breaks fenicsx components << 0.7

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Oct 2023 18:49:20 +0200

fenics-ufl (2023.1.1.post0-6) unstable; urgency=medium

  * python3-ufl Breaks: fenicsx-performance-tests-source (<< 0.6~)
    (performance test Elasticity.py uses geometric_dimension)

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jul 2023 16:13:52 +0200

fenics-ufl (2023.1.1.post0-5) unstable; urgency=medium

  * python3-ufl Breaks: python3-dolfinx (<< 1:0.6~)

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jul 2023 15:12:08 +0200

fenics-ufl (2023.1.1.post0-4) unstable; urgency=medium

  * python3-ufl Breaks: python3-basix (<< 0.6~)
    (UFL now adds sobolev_space)

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Jul 2023 15:07:26 +0200

fenics-ufl (2023.1.1.post0-3) unstable; urgency=medium

  * python3-ufl 2023 Breaks: python3-dolfin (<< 2019.2.0~legacy~)

 -- Drew Parsons <dparsons@debian.org>  Sun, 02 Jul 2023 10:42:58 +0200

fenics-ufl (2023.1.1.post0-2) unstable; urgency=medium

  * push UFL 2023 (and dolfinx 0.6) to unstable

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Jun 2023 14:54:22 +0200

fenics-ufl (2023.1.1.post0-1exp1) experimental; urgency=medium

  * New upstream release.
  * update debian/watch to latest recommended format (catches .post0)
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Feb 2023 13:01:29 +0100

fenics-ufl (2023.1.0-1exp2) experimental; urgency=medium

  * Change source package name to fenics-ufl.  The 2023.1.0 release
    has now diverged far enough that old dolfin now breaks completely.
    Need to distinguish current ufl (this package, for ffcx, dolfinx)
    from legacy ufl. Binary packages remain unchanged, in line with
    upstream package naming practice (ufl was never updated to uflx,
    unlike ffc which was updated as ffcx).
  * provide full docs (HTML) in doc package
    - Build-Depends: python3-sphinx, libjs-mathjax

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Jan 2023 03:08:52 +0100

ufl (2023.1.0-1exp1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jan 2023 00:34:18 +0100

ufl (2022.2.0-2) unstable; urgency=medium

  * push 2022.2 to unstable

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Sep 2022 12:00:28 +0200

ufl (2022.2.0-1exp1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 Aug 2022 21:39:36 +0200

ufl (2022.1.0-2) unstable; urgency=medium

  * push ufl 2022.1 to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Jun 2022 12:30:48 +0200

ufl (2022.1.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patches fix_global_derivatives_PR63.patch
      and prism_PR58.patch
    - update debian/copyright for demo filename change *.ufl -> *.py
  * Build-Depends: pybuild-plugin-pyproject (build with pyproject.toml)
  * run debian/tests over all supported python versions
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Jun 2022 15:53:01 +0200

ufl (2021.1.0-4) unstable; urgency=medium

  * release ufl 2021.1 to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Oct 2021 23:38:39 +0200

ufl (2021.1.0-3) experimental; urgency=medium

  * debian patch fix_global_derivatives_PR63.patch applies upstream
    PR#63 to fix handling of global derivatives that triggered an
    Exception in ffcx causing dolfinx tests to fail.
  * update debian/copyright
  * update Build-Depends: python3-all:any (>= 3.6)

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Oct 2021 19:49:23 +0200

ufl (2021.1.0-2) experimental; urgency=medium

  * debian patch prism_PR58.patch adds the prism (wedge) cell.
    Upstream PR#58.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Sep 2021 12:12:07 +0300

ufl (2021.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove signature file (pgpsigurlmangle=*.asc) from debian/watch,
    together with debian/upstream/signing-key.asc.
    Signed release file not provided by github infrastructure.

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 May 2021 15:02:04 +0200

ufl (2019.2.0~git20210211.d60cd09-1) unstable; urgency=medium

  * New upstream snapshot.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Feb 2021 02:12:19 +0100

ufl (2019.2.0~git20200928.057c5f6-1) unstable; urgency=medium

  * New upstream snapshot.
    - applies debian patch point_vertex_cells_6b09484.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Sep 2020 16:30:40 +0800

ufl (2019.2.0~git20200610.3492e72-2) unstable; urgency=medium

  * debian patch point_vertex_cells_6b09484.patch applies upstream
    commit #6b09484 to support point/vertex cells.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jul 2020 19:52:16 +0800

ufl (2019.2.0~git20200610.3492e72-1) unstable; urgency=medium

  * New upstream snapshot.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jun 2020 14:21:06 +0800

ufl (2019.2.0~git20200129.4516a6d-1) unstable; urgency=medium

  * New upstream snapshot for dolfinx.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Apr 2020 22:45:53 +0800

ufl (2019.2.0~git20191118.287c42a-1) experimental; urgency=medium

  * New upstream snapshot for dolfinx.
  * update upstream source repo to https://github.com/FEniCS/ufl
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Jan 2020 01:36:08 +0800

ufl (2019.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-ufl

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Jul 2019 12:00:45 +0800

ufl (2019.1.0-1) experimental; urgency=medium

  * New upstream release (official).
  * debhelper 12: Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 10:41:16 +0800

ufl (2019.1.0~git20190220-1) experimental; urgency=medium

  * New upstream test release.
    - applies patches inspect_API_update_09d5ec8.patch
      inspect_API_update_94c0873.patch
      and test_indexing_fixture_9d11804.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2019 02:59:10 +0800

ufl (2018.1.0-5) unstable; urgency=medium

  * add debian patch inspect_API_update_94c0873.patch
    (upstream commit 94c087314152bdebae53584677c7c4f8392aa7aa)
    to avoid deprecation warnings about inspect.getargspec() in
    algorithms/transformer.py
  * add debian patch test_indexing_fixture_9d11804.patch
    (upstream commit 9d11804abc2442619138d2f112a0e8a1e7e878b3)
    to fix test fixtures in test_indexing.py

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Jan 2019 09:22:32 +0100

ufl (2018.1.0-4) unstable; urgency=medium

  * add Debian patch inspect_API_update_09d5ec8.patch, which applies
    upstream commit 09d5ec8feac3dcdb0a3207d62ac9d8d17eb1d59c
    to avoid deprecation warnings about inspect.getargspec()
  * mark python-ufl-doc as Multi-Arch: foreign
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Jan 2019 08:38:05 +0100

ufl (2018.1.0-3) unstable; urgency=medium

  * don't need fresh source to run autopkgtest (debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jul 2018 15:55:36 +0800

ufl (2018.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * activate autopkgtests via debian/tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jul 2018 00:24:18 +0800

ufl (2018.1.0-1exp2) experimental; urgency=medium

  * python3-ufl Conflicts: python-ufl (<< 2018.1~),
    Replaces: python-ufl. Closes: #901671.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Jun 2018 18:08:19 +0200

ufl (2018.1.0-1exp1) experimental; urgency=medium

  [ Nico Schlömer ]
  * remove Python 2 packages in preparation of 2018.1

  [ Drew Parsons ]
  * New upstream release.
    - python-ufl is now a dummy package depending on python3-ufl.
  * remove ancient-python-version-field X-Python3-Version: >= 3.4

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Jun 2018 00:38:51 +0200

ufl (2017.2.0.0-3) unstable; urgency=medium

  * Depends: python3-pkg-resources. Closes: #896278, #896355.
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Apr 2018 12:18:13 +0800

ufl (2017.2.0.0-2) unstable; urgency=medium

  * debian/control: update VCS tags to salsa.debian.org

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Feb 2018 22:34:08 +0800

ufl (2017.2.0.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - this is the official 2017.2.0 release. The preceding 2017.2.0
      version was a mislabelled beta release.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Jan 2018 23:19:11 +0800

ufl (2017.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - updated debian/upstream/signing-key.asc for signature
      from the FEniCS Project Steering Council (key BED06106DD22BAB3)
  * Standards-Version: 4.1.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Oct 2017 16:01:28 +0800

ufl (2017.1.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Sep 2017 14:24:16 +0800

ufl (2017.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Disable testing.

 -- Johannes Ring <johannr@simula.no>  Wed, 10 May 2017 12:42:50 +0200

ufl (2016.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Johannes Ring ]
  * Support Python 3: new package python3-ufl.
  * Enable testing.

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Jan 2017 22:46:05 +0800

ufl (2016.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: Check pgp signature.
  * d/control:
    - Remove Christophe Prud'homme from Uploaders (closes: #835021).
    - Add python-setuptools and dh-python to Build-Depends.

 -- Johannes Ring <johannr@simula.no>  Thu, 01 Dec 2016 14:39:31 +0100

ufl (2016.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Fri, 24 Jun 2016 13:52:59 +0200

ufl (1.6.0-2) unstable; urgency=medium

  * Team upload. 
  * debian/control:
      + Update VCS fields after the move to Git.
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Apr 2016 19:18:05 +0800

ufl (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Tue, 11 Aug 2015 11:21:20 +0200

ufl (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Bump X-Python-Version to >= 2.7.
    - Bump python-all in Build-Depends to >= 2.7.
    - Add python-numpy and python-six to Depends field for binary
      package python-ufl.

 -- Johannes Ring <johannr@simula.no>  Mon, 12 Jan 2015 20:43:48 +0100

ufl (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.5 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Tue, 03 Jun 2014 18:21:51 +0200

ufl (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Update URL for move to Bitbucket.
  * debian/docs: Remove TODO.
  * debian/python-ufl-doc.docs: Remove ufl-user-manual.pdf.
  * Remove debian/python-ufl-doc.doc-base.

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Jun 2013 14:46:16 +0200

ufl (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Remove DM-Upload-Allowed field.
    - Bump required debhelper version in Build-Depends.
    - Remove cdbs from Build-Depends.
    - Use canonical URIs for Vcs-* fields.
  * debian/compat: Bump to compatibility level 9.
  * debian/rules: Rewrite for debhelper (drop cdbs).

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Jun 2013 13:02:57 +0200

ufl (1.1.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/watch: Replace http with https in URL.

 -- Johannes Ring <johannr@simula.no>  Thu, 10 Jan 2013	10:19:52 +0100

ufl (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Wed, 07 Dec 2011 14:09:51 +0100

ufl (1.0-rc1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Homepage field.
  * Update debian/copyright and debian/copyright_hints.

 -- Johannes Ring <johannr@simula.no>  Tue, 22 Nov 2011 14:20:32 +0100

ufl (1.0-beta3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Add paragraph with GPL-3+ license.

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Oct 2011 20:45:00 +0200

ufl (1.0-beta2-1) unstable; urgency=low

  * New upstream release. This version fixes a minor bug for handling
    constants in forms.
  * debian/control: Set Priority: optional.

 -- Johannes Ring <johannr@simula.no>  Tue, 17 May 2011 12:54:08 +0200

ufl (0.9.1-1) unstable; urgency=low

  * New upstream release. This release contains a number of new
    features, including the permutation symbol and the application of
    more operators to scalar fields. For form compilers, form
    preprocessing has been improved.
  * Move from python-central to dh_python2 (closes: #617137).
    - Remove python-central from Build-Depends.
    - Bump minimum required python-all package version to 2.6.6-3~.
    - Remove XB-Python-Version lines.
    - Bump minimum required cdbs version to 0.4.90~.
    - Remove DEB_PYTHON_SYSTEM=pycentral from debian/rules.
    - Replace XS-Python-Version with X-Python-Version.
  * Do not generate user manual. Use included PDF from orig tarball
    instead.
  * debian/copyright:
    - Update for upstream license change to LGPLv3.
    - Switch to DEP-5.
  * debian/rules:
    - Use DEB_COMPRESS_EXCLUDE_ALL instead of deprecated
      DEB_COMPRESS_EXCLUDE.
    - Include cdbs utils.mk rule for automated copyright checks.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Tue, 17 May 2011 09:09:44 +0200

ufl (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Update Homepage field in debian/control.

 -- Johannes Ring <johannr@simula.no>  Wed, 23 Feb 2011 22:43:52 +0100

ufl (0.5.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Thu, 02 Sep 2010 10:30:47 +0200

ufl (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Package moved from pkg-scicomp to Debian Science.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.9.0 (no changes needed).
  * Fix Vcs fields in debian/control.

 -- Johannes Ring <johannr@simula.no>  Thu, 01 Jul 2010 13:33:41 +0200

ufl (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Tue, 16 Feb 2010 11:17:29 +0100

ufl (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Wed, 03 Feb 2010 20:36:43 +0100

ufl (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Wed, 03 Feb 2010 15:15:36 +0100

ufl (0.4.1-1) unstable; urgency=low

  * New upstream release. This release adds support for unspecified
    (None) degree and shape for auto-detection by form compilers. It 
    also changes the definition of grad for vectors from du_j/dx_i to
    du_i/dx_j.
  * debian/copyright, debian/watch: Update download URLs.

 -- Johannes Ring <johannr@simula.no>  Mon, 07 Dec 2009 13:07:39 +0100

ufl (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #524009)

 -- Johannes Ring <johannr@simula.no>  Thu, 24 Sep 2009 16:21:12 +0200
